<!--
IGAC proyecto SNC

@author david.cifuentes
@version 1.0
@description 	Formulario que gestiona las fotos de las unidades de un modelo de construcción.
                Este archivo es una copia del archivo gestionFotos de juan.agudelo, su 
                comportamiento varia acorde a los usos que se le dan desde modelos de construcción.
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="gestionFotosUnidadDelModeloPanel">

    <p:messages id="msgFotoCompUM" globalOnly="true" />

    <h:form id="cargarFotoCompUnidadDelModeloForm"
            rendered="#{!proyectarConservacion.datosConstruccionSoloLectura}"
            enctype="multipart/form-data">
        <p:fileUpload fileUploadListener="#{proyectarConservacion.imagenUpload}"
                      required="true" dragDropSupport="true"
                      invalidFileMessage="El tipo de archivo seleccionado no es valido"
                      label="Seleccionar imagen" auto="true"
                      uploadLabel="Subir imagen" cancelLabel="Cancelar" mode="advanced"
                      update=":solicitarDatosFotoCompUnidadDelModeloForm" sizeLimit="#{general.maximoTamanoAdjuntos}"
                      allowTypes="/(\.|\/)(gif|jpe?g|png)$/" />

    </h:form>

    <h:form id="solicitarDatosFotoCompUnidadDelModeloForm">

        <h:panelGrid columns="1" cellspacing="0"
                     rendered="#{!proyectarConservacion.banderaBotonAceptarCargarFoto}">

            <p:spacer height="20" width="20" />

            <h:panelGroup rendered="#{proyectarConservacion.existeImagen}">
                <h:panelGrid id="pg1" columns="1" cellspacing="5">
                    <p:graphicImage id="img2"
                                    value="#{proyectarConservacion.rutaWebTemporalFoto}"
                                    width="550" />

                    <p:spacer height="10" width="20" />

                </h:panelGrid>
            </h:panelGroup>

            <h:panelGrid columns="3" cellspacing="10"
                         rendered="#{proyectarConservacion.existeImagen}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Descripción: " styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                   rendered="#{!proyectarConservacion.datosConstruccionSoloLectura}"/>
                </h:panelGrid>
                <h:panelGrid columns="3">
                    <h:inputText value="#{proyectarConservacion.currentPModeloConstruccionFoto.descripcion}"
                                 id="descripcionFoto" label="Descripcion imagen" size="20" maxlength="50"
                                 disabled="#{proyectarConservacion.datosConstruccionSoloLectura}"
                                 required="true" style="width:200px;height:14px;" />

                    <p:message for="descripcionFoto" display="icon"></p:message>
                </h:panelGrid>
            </h:panelGrid>
            <h:panelGrid columns="3"
                         rendered="#{proyectarConservacion.existeImagen}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Fecha registro: "
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                   rendered="#{!proyectarConservacion.datosConstruccionSoloLectura}"/>
                </h:panelGrid>
                <h:panelGrid columns="3">
                    <p:calendar id="fechaRegistro" 
                                disabled="#{proyectarConservacion.datosConstruccionSoloLectura}"
                                value="#{proyectarConservacion.currentPModeloConstruccionFoto.fecha}" navigator="true"
                                label="Fecha de registro" pattern="#{general.formatoFecha}"
                                showOn="both" title="#{general.formatoFechaUsuario}" tabindex="0"
                                effect="slideDown" required="true" />

                    <p:message for="fechaRegistro" display="icon"></p:message>
                </h:panelGrid>
            </h:panelGrid>
        </h:panelGrid>
        <h:panelGrid>
            <h:panelGrid columns="2"
                         rendered="#{proyectarConservacion.existeImagen and !proyectarConservacion.datosConstruccionSoloLectura}">

                <p:commandButton value="Cancelar" id="cancelar" immediate="true" 
                                 action="#{proyectarConservacion.cancelarFoto}" icon="ui-icon-close"
                                 update="@form, img2, :confirmacionCargarFotoCompUnidadDelModeloForm"
                                 onsuccess="gestionarFotografiasUnidadDelModeloWV.hide();" />

                <p:commandButton value="Aceptar"
                                 action="#{proyectarConservacion.guardarFoto}" icon="ui-icon-check"
                                 process="@form"
                                 update="img2, :confirmacionCargarFotoCompUnidadDelModeloForm"
                                 onclick="confirmarCargaFotoCompUnidadDelModeloWV.show()" />

            </h:panelGrid>
        </h:panelGrid>

    </h:form>
</h:panelGrid>